Skip to content
ByteDanceChecking

Doubao Seed Audio 1.0

doubao-seed-audio-1-0

text to audioOutput: Music & audioInput: text + image + audio
Loading price…
Official list price · Not verified

Minimal request

Required fields only, generated from this model's schema. Set HERMES_API_KEY in your environment.

# 1. Submit the task (asynchronous; returns 202 with a task id)
curl -X POST https://api.hermes-ai.net/api/v1/jobs \
  -H "Authorization: Bearer $HERMES_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
  "model": "doubao-seed-audio-1-0",
  "input": {
    "prompt": "A lighthouse on a rocky coast at sunrise, soft light"
  }
}'

# 2. Poll until status is succeeded, failed or reconciliation_required
curl https://api.hermes-ai.net/api/v1/jobs/TASK_ID \
  -H "Authorization: Bearer $HERMES_API_KEY"

With documented defaults

The same request with each optional default written out, so you can see what to change.

# 1. Submit the task (asynchronous; returns 202 with a task id)
curl -X POST https://api.hermes-ai.net/api/v1/jobs \
  -H "Authorization: Bearer $HERMES_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
  "model": "doubao-seed-audio-1-0",
  "input": {
    "prompt": "A lighthouse on a rocky coast at sunrise, soft light",
    "format": "wav",
    "sampleRate": "24000",
    "speechRate": 0,
    "loudnessRate": 0,
    "pitchRate": 0
  }
}'

# 2. Poll until status is succeeded, failed or reconciliation_required
curl https://api.hermes-ai.net/api/v1/jobs/TASK_ID \
  -H "Authorization: Bearer $HERMES_API_KEY"

Upload a local file first

Replace the example URL with the returned media reference.

POST /api/v1/media
curl -X POST https://api.hermes-ai.net/api/v1/media \
  -H "Authorization: Bearer $HERMES_API_KEY" \
  -H "Content-Type: image/png" \
  --data-binary @input.png
# → { "reference": "media:<uuid>", ... }  Use the reference in an image, video or audio field.